org.eclipse.microprofile.context.tck.cdi

## Class SessionScopedBean

- java.lang.Object
- - org.eclipse.microprofile.context.tck.cdi.AbstractBean
  - - org.eclipse.microprofile.context.tck.cdi.SessionScopedBean

All Implemented Interfaces:
  Serializable

    @SessionScoped
    public class SessionScopedBean
    extends AbstractBean
    implements Serializable

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.eclipse.microprofile.context.tck.cdi.AbstractBean

`UNINITIALIZED`

### Constructor Summary

Constructors
Constructor and Description
`SessionScopedBean()`

### Method Summary

### Methods inherited from class org.eclipse.microprofile.context.tck.cdi.AbstractBean

`getState, setState`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SessionScopedBean

    public SessionScopedBean()